date: 2005-11-20 02:30:17
ispublic: 1
source: http://farm1.static.flickr.com/77/172273682_1f26bc078e_o.jpg
tags: me, people
title: St.Petersburg
url: http://www.flickr.com/photos/umonkey/172273682/
---
DuG, Draky J. Void, Dreddko, me and Antonio.